var keynames = require('keynames');

module.exports = {
  on: on
};

function options(key){
  var expected = {}, keys = key.replace(/^\:/g, '').split(':');

  var i = keys.length, name;
  while ( i -- ){
    name = keys[i].trim();

    if(name == 'ctrl') {
      expected.ctrl = true;
      continue;
    }

    if(name == 'alt') {
      expected.alt = true;
      continue;
    }

    if(name == 'shift') {
      expected.shift = true;
      continue;
    }

    expected.key = name.trim();
  }

  return expected;
}

function on(element, keys, callback){
  var expected = options(keys);

  element.addEventListener('keyup', function(event){
    if((event.ctrlKey || undefined) == expected.ctrl &&
       (event.altKey || undefined) == expected.alt &&
       (event.shiftKey || undefined) == expected.shift &&
       keynames[event.keyCode] == expected.key){
      callback(event);
    }
  }, false);
}
